Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

messing around with requirements to accommodate a vendor lib

  • Loading branch information...
commit 6b762b8816056a0cb9e23e8852737f133e634fcd 1 parent a01becc
@fwenzel fwenzel authored
View
1  .gitignore
@@ -4,3 +4,4 @@ settings_local.py
pip-log.txt
.DS_Store
lib/whoosh_index
+vendor
View
9 README.md
@@ -17,7 +17,14 @@ Getting Started
You need Python 2.6. Also, you probably want to run this application in a
[virtualenv][virtualenv] environment.
-Run ``easy_install pip`` followed by ``pip install -r requirements.txt``
+Run
+
+ easy_install pip
+
+followed by
+
+ pip install -r requirements/prod.txt -r requirements/compiled.txt
+
to install the required Python libraries.
[virtualenv]: http://pypi.python.org/pypi/virtualenv
View
1  manage.py
@@ -10,6 +10,7 @@
site.addsitedir(path('apps'))
site.addsitedir(path('lib'))
+site.addsitedir(path('vendor'))
try:
import settings_local as settings
View
2  requirements/compiled.txt
@@ -0,0 +1,2 @@
+MySQL-python==1.2.3c1
+Jinja2==2.5
View
5 requirements/dev.txt
@@ -0,0 +1,5 @@
+# This file pulls in everything a developer needs. If it's a basic package
+# needed to run the site, it belongs in requirements-prod.txt. If it's a
+# package for developers (testing, docs, etc.), it goes in this file.
+
+-r prod.txt
View
1  requirements.txt → requirements/prod.txt
@@ -4,7 +4,6 @@ django-annoying==0.7.4
-e git://github.com/fwenzel/django-mozilla-product-details#egg=django-mozilla-product-details
# DB stuff
-MySQL-python==1.2.3c1
-e git://github.com/jbalogh/schematic.git#egg=schematic
# Templates
Please sign in to comment.
Something went wrong with that request. Please try again.